summaryrefslogtreecommitdiffstats
path: root/network/twinkle
diff options
context:
space:
mode:
author Johannes Schoepfer2022-06-04 00:22:12 +0200
committer Willy Sudiarto Raharjo2022-06-04 05:37:10 +0200
commitd3339af9fb9a41484c1e7cea577d07a629cfa065 (patch)
tree38343e017243d18fc3f33520a8237cab57d67219 /network/twinkle
parentdfb34e02872fee00e40a05b50c6fda5df6aaef82 (diff)
downloadslackbuilds-d3339af9fb9a41484c1e7cea577d07a629cfa065.tar.gz
network/twinkle: Added (softphone for voice over IP)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/twinkle')
-rw-r--r--network/twinkle/README4
-rw-r--r--network/twinkle/doinst.sh9
-rw-r--r--network/twinkle/slack-desc19
-rw-r--r--network/twinkle/twinkle.SlackBuild114
-rw-r--r--network/twinkle/twinkle.info10
5 files changed, 156 insertions, 0 deletions
diff --git a/network/twinkle/README b/network/twinkle/README
new file mode 100644
index 0000000000..25868e0e96
--- /dev/null
+++ b/network/twinkle/README
@@ -0,0 +1,4 @@
+Twinkle is a softphone for your voice over IP and instant messaging
+communcations using the SIP protocol. You can use it for direct IP
+phone to IP phone communication or in a network using a SIP proxy
+to route your calls and messages.
diff --git a/network/twinkle/doinst.sh b/network/twinkle/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/twinkle/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/twinkle/slack-desc b/network/twinkle/slack-desc
new file mode 100644
index 0000000000..62e4efc693
--- /dev/null
+++ b/network/twinkle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+twinkle: twinkle (softphone for voice over IP)
+twinkle:
+twinkle: Twinkle is a softphone for your voice over IP and instant messaging
+twinkle: communcations using the SIP protocol. You can use it for direct IP
+twinkle: phone to IP phone communication or in a network using a SIP proxy
+twinkle: to route your calls and messages.
+twinkle:
+twinkle: http://twinkle.dolezel.info/
+twinkle:
+twinkle:
+twinkle:
diff --git a/network/twinkle/twinkle.SlackBuild b/network/twinkle/twinkle.SlackBuild
new file mode 100644
index 0000000000..06e0d6bd8a
--- /dev/null
+++ b/network/twinkle/twinkle.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Slackware build script for twinkle
+
+# Copyright 2008 Mauro Giachero
+# Copyright 2022 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=twinkle
+VERSION=${VERSION:-1.10.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# iLBC from SBo is not recognized
+#-DWITH_ILBC=On \
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DWITH_ZRTP=On \
+ -DWITH_SPEEX=On \
+ -DWITH_GSM=On \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ NEWS README.md sip.protocol AUTHORS THANKS TODO COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/twinkle/twinkle.info b/network/twinkle/twinkle.info
new file mode 100644
index 0000000000..77fed67e16
--- /dev/null
+++ b/network/twinkle/twinkle.info
@@ -0,0 +1,10 @@
+PRGNAM="twinkle"
+VERSION="1.10.3"
+HOMEPAGE="http://twinkle.dolezel.info/"
+DOWNLOAD="https://github.com/LubosD/twinkle/archive/refs/tags/v1.10.3/twinkle-1.10.3.tar.gz"
+MD5SUM="1bc38c16af7b78ac047646766083888a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ucommon libzrtpcpp gsm"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"